Retrieve information about an operation
GET/zones/{zone_id}/api_gateway/operations/{operation_id}
Gets detailed information about a specific API operation in API Shield, including its schema validation settings and traffic statistics.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Retrieve information about an operation
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/api_gateway/operations/$OPERATION_ID \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"endpoint": "/api/v1/users/{var1}",
"host": "www.example.com",
"last_updated": "2014-01-01T05:20:00.12345Z",
"method": "GET",
"operation_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"features": {
"thresholds": {
"auth_id_tokens": 0,
"data_points": 0,
"last_updated": "2014-01-01T05:20:00.12345Z",
"p50": 0,
"p90": 0,
"p99": 0,
"period_seconds": 0,
"requests": 0,
"suggested_threshold": 0
}
}
},
"success": true
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"endpoint": "/api/v1/users/{var1}",
"host": "www.example.com",
"last_updated": "2014-01-01T05:20:00.12345Z",
"method": "GET",
"operation_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
"features": {
"thresholds": {
"auth_id_tokens": 0,
"data_points": 0,
"last_updated": "2014-01-01T05:20:00.12345Z",
"p50": 0,
"p90": 0,
"p99": 0,
"period_seconds": 0,
"requests": 0,
"suggested_threshold": 0
}
}
},
"success": true
}